Skip to content

Update employment for employee

Request

Security
OAuth2Sandbox
Path
employeeIdstringrequired

ID of the employee.

employmentIdstringrequired

ID of the employment.

Bodyapplication/jsonrequired
employment_group_idinteger, >= 1

ID of the employment group.

Example:1
employment_statusstring

Status of the employment:

  • active
  • leave_of_absence
  • parental_leave
  • study_leave
  • contract
  • ended
Enum:"active""leave_of_absence""parental_leave""study_leave""contract""ended"
Example:"active"
start_datestring, (date)
Example:"2022-01-01"
calc_start_datestring or null, (date)

Date from which employment calculations begin.

Example:"2022-01-01"
end_datestring or null, (date)
Example:"2022-12-31"
end_reasonstring or null

Reason for ending the employment:

  • resigned
  • other
  • personal_reason
  • economic_reason
  • mutual_agreement
  • retirement
  • fixed_term_ended
Enum:"resigned""other""personal_reason""economic_reason""mutual_agreement""retirement""fixed_term_ended"
Example:"other"
working_hours_typestring

Working-hours type of the employment:

  • full_time
  • part_time
  • other
Enum:"full_time""part_time""other"
Example:"full_time"
part_time_percentagestring

Percentage of full-time working hours for part-time employment. Must be between 0.00 and 100.00, inclusive, with exactly two decimal places.

Example:"60.00"
contract_typestring

Type of the employment contract:

  • permanent
  • fixed_term
Enum:"permanent""fixed_term"
Example:"permanent"
profession_codestring

Incomes Register's Classification of Occupations (TK10). See: https://stat.fi/en/luokitukset/ammatti/ammatti_17_20210101

Example:"33390"
profession_descriptionstring, [ 1 .. 100 ] characters

Description of the profession.

Example:"verkostoituja"
payment_typestring

Payment type of the employment:

  • monthly_wage
  • hourly_wage
  • piecework
Enum:"monthly_wage""hourly_wage""piecework"
Example:"monthly_wage"
pension_insurance_typestring

Pension insurance type. Set automatically based on new employment settings.

  • tyel
  • yel
  • myel
  • none
  • tyel_partial_owner
  • other
Enum:"tyel""yel""myel""none""tyel_partial_owner""other"
Example:"tyel"
insurance_exception_type_idsArray of integers

Insurance exception type (§1.57 InsuranceExceptionCode):

  • 1 No obligation to provide insurance (earnings-related pension, health, unemployment or accident and occupational disease insurance)
  • 2 No obligation to provide insurance (health insurance)
  • 3 No obligation to provide insurance (earnings-related pension insurance)
  • 4 No obligation to provide insurance (accident and occupational disease insurance)
  • 5 No obligation to provide insurance (unemployment insurance)
  • 6 Not subject to Finnish social security (earnings-related pension, health, unemployment or accident and occupational disease insurance)
  • 7 Not subject to Finnish social security (earnings-related pension insurance)
  • 8 Not subject to Finnish social security (accident and occupational disease insurance)
  • 9 Not subject to Finnish social security (unemployment insurance)
  • 10 Not subject to Finnish social security (health insurance)
  • 11 Voluntary insurance in Finland (earnings-related pension insurance)
Example:
[ 1 ]
income_earner_additional_info_idsArray of integers

Additional information about the income earner:

  • 1 Employed with assistance
  • 2 Joint owner with payer
  • 3 Partial owner
  • 4 Key employee
  • 6 Frontier worker
  • 7 Working abroad
  • 8 Athlete
  • 9 Performing artist
  • 11 Net of tax employment
  • 12 Organisation
  • 13 Road ferry (Åland)
  • 14 Self-employed, no YEL/MYEL
  • 15 Diplomatic payment
  • 17 Light entrepreneur, no BID
Items Enum:123467891112
Example:
[ 4 ]
curl -i -X PATCH \
  'https://api.<slug>.isv-test.fennoa.com/v2/payroll/employees/{employeeId}/employments/{employmentId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "employment_group_id": 1,
    "employment_status": "active",
    "start_date": "2022-01-01",
    "calc_start_date": "2022-01-01",
    "end_date": "2022-12-31",
    "end_reason": "other",
    "working_hours_type": "full_time",
    "part_time_percentage": "60.00",
    "contract_type": "permanent",
    "profession_code": "33390",
    "profession_description": "verkostoituja",
    "payment_type": "monthly_wage",
    "pension_insurance_type": "tyel",
    "insurance_exception_type_ids": [
      1
    ],
    "income_earner_additional_info_ids": [
      4
    ]
  }'

Responses

A payroll employment.

Bodyapplication/json
dataobject(PayrollEmployment)
Response
{ "data": { "id": 1, "employment_group_id": 5, "employment_status": "active", "start_date": "2022-01-01", "calc_start_date": null, "end_date": "2022-12-31", "end_reason": "other", "working_hours_type": "full_time", "part_time_percentage": null, "contract_type": "permanent", "profession_code": "33390", "profession_description": "verkostoituja", "payment_type": "monthly_wage", "pension_insurance_type": "tyel", "insurance_exception_type_ids": [ … ], "income_earner_additional_info_ids": [ … ] } }